Get Cloud Credentials

⚠️ Private preview. Contact your Nasuni account team to request access.

Get paginated cloud credentials with optional filters.

Supports cursor-based pagination for forward navigation.

SecurityHTTPBearer
Request
query Parameters
Search (string) or Search (null) (Search)
Array of Providers (strings) or Providers (null) (Providers)

Filter by cloud provider shortnames

Array of Appliance Ids (strings) or Appliance Ids (null) (Appliance Ids)

Only credentials placed on any of these appliance IDs

Array of Volume Ids (strings) or Volume Ids (null) (Volume Ids)

Filter by associated volume IDs

sort_by
string (CloudCredentialSortBy)
Default: "name"

Sortable columns for credential list queries.

Enum: "name" "shortname" "hostname" "access_key" "note" "created_at" "updated_at"
sort_direction
string (SortDirection)
Default: "asc"

Short-form sort direction used by list APIs (asc/desc).

Enum: "asc" "desc"
Iterator Id (string) or Iterator Id (null) (Iterator Id)
limit
integer (Limit) > 0
Default: 50
Page (integer) or Page (null) (Page)
Responses
200

Paginated list of cloud credentials

400

Bad request

401

Not authenticated

403

Insufficient permissions

422

Invalid input data

500

Internal server error

get/cloud-credentials
Request samples
Response samples
application/json
{
  • "items": [
    ],
  • "metadata": {
    }
}
Copyright © 2025 Nasuni Corporation. All rights reserved.